//+------------------------------------------------------------------+
//|                                            iMax MTF DETECTOR.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, KG"

#property indicator_chart_window
#property indicator_buffers 0

extern int Corner=1;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string label7qxx = "iMAX_MN1";
   ObjectDelete(label7qxx);
   ObjectCreate( label7qxx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label7qxx,"MN1",8, "Arial Bold", RoyalBlue);
   ObjectSet( label7qxx, OBJPROP_CORNER, Corner );
   ObjectSet( label7qxx, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label7qxx, OBJPROP_YDISTANCE, 10 );   
   
   string label7xx = "iMAX_W1";
   ObjectDelete(label7xx);
   ObjectCreate( label7xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label7xx,"W1",8, "Arial Bold", RoyalBlue);
   ObjectSet( label7xx, OBJPROP_CORNER, Corner );
   ObjectSet( label7xx, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label7xx, OBJPROP_YDISTANCE, 20 );   
   
   string label8xx = "iMAX_D1";
   ObjectDelete(label8xx);
   ObjectCreate( label8xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label8xx,"D1",8, "Arial Bold", RoyalBlue);
   ObjectSet( label8xx, OBJPROP_CORNER, Corner );
   ObjectSet( label8xx, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label8xx, OBJPROP_YDISTANCE, 30 );
   
   string label1xx = "iMAX_H4";
   ObjectDelete(label1xx);
   ObjectCreate( label1xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label1xx,"H4",8, "Arial Bold", RoyalBlue);
   ObjectSet( label1xx, OBJPROP_CORNER, Corner );
   ObjectSet( label1xx, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label1xx, OBJPROP_YDISTANCE, 40 );
   
   string label2xx = "iMAX_H1";
   ObjectDelete(label2xx);
   ObjectCreate( label2xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label2xx,"H1",8, "Arial Bold", RoyalBlue);
   ObjectSet( label2xx, OBJPROP_CORNER, Corner );
   ObjectSet( label2xx, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label2xx, OBJPROP_YDISTANCE, 50 );
   
   string label3xx = "iMAX_M30";
   ObjectDelete(label3xx);
   ObjectCreate( label3xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label3xx,"M30",8, "Arial Bold", RoyalBlue);
   ObjectSet( label3xx, OBJPROP_CORNER, Corner );
   ObjectSet( label3xx, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label3xx, OBJPROP_YDISTANCE, 60 );
   
   string label4xx = "iMAX_M15";
   ObjectDelete(label4xx);
   ObjectCreate( label4xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label4xx,"M15",8, "Arial Bold", RoyalBlue);
   ObjectSet( label4xx, OBJPROP_CORNER, Corner );
   ObjectSet( label4xx, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label4xx, OBJPROP_YDISTANCE, 70 );
   
   string label5xx = "iMAX_M5";
   ObjectDelete(label5xx);
   ObjectCreate( label5xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label5xx,"M5",8, "Arial Bold", RoyalBlue);
   ObjectSet( label5xx, OBJPROP_CORNER, Corner );
   ObjectSet( label5xx, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label5xx, OBJPROP_YDISTANCE, 80 );

   string label52xx = "iMAX_M1";
   ObjectDelete(label52xx);
   ObjectCreate( label52xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label52xx,"M1",8, "Arial Bold", RoyalBlue);
   ObjectSet( label52xx, OBJPROP_CORNER, Corner );
   ObjectSet( label52xx, OBJPROP_XDISTANCE, 3 );
   ObjectSet( label52xx, OBJPROP_YDISTANCE, 90 );

   string label6xx = "iMAX_TITLE";
   ObjectDelete(label6xx);
   ObjectCreate( label6xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(label6xx,"iMAX",8, "Arial Bold", MediumBlue);
   ObjectSet( label6xx, OBJPROP_CORNER, Corner );
   ObjectSet( label6xx, OBJPROP_XDISTANCE, 36 );
   ObjectSet( label6xx, OBJPROP_YDISTANCE, 110 );

   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("iMAX_MN1");
   ObjectDelete("iMAX_W1");
   ObjectDelete("iMAX_D1");   
   ObjectDelete("iMAX_H4");   
   ObjectDelete("iMAX_H1");
   ObjectDelete("iMAX_M30"); 
   ObjectDelete("iMAX_M15");   
   ObjectDelete("iMAX_M5");
   ObjectDelete("iMAX_M1");
   ObjectDelete("iMAX_TITLE");
    
   ObjectDelete("iMAX MN1");  
   ObjectDelete("iMAX W1");   
   ObjectDelete("iMAX D1");
   ObjectDelete("iMAX H4");
   ObjectDelete("iMAX H1");
   ObjectDelete("iMAX M30");
   ObjectDelete("iMAX M15");
   ObjectDelete("iMAX M5");
   ObjectDelete("iMAX M1");
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   
   int limit=Bars-counted_bars;
   if(counted_bars>0) limit++;
   
   string Sign;   
   color Col;
   
   
   double iMAX_Curr=iCustom(NULL, PERIOD_MN1, "iMAX",0,0);
   double iMAX_Prev=iCustom(NULL, PERIOD_MN1, "iMAX",1,0);
   if (iMAX_Curr==iMAX_Prev) { Sign=""; Col=DarkOrange; } //Sideway
   else 
      if (iMAX_Curr>iMAX_Prev) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign112xx = "iMAX MN1";
   ObjectDelete(sign112xx);
   ObjectCreate(sign112xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign112xx, Sign ,10, "Wingdings", Col);
   ObjectSet(sign112xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign112xx, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign112xx, OBJPROP_YDISTANCE, 10 );
         
   iMAX_Curr=iCustom(NULL, PERIOD_W1, "iMAX",0,0);
   iMAX_Prev=iCustom(NULL, PERIOD_W1, "iMAX",1,0);
   if (iMAX_Curr==iMAX_Prev) { Sign=""; Col=DarkOrange; } //Sideway
   else 
      if (iMAX_Curr>iMAX_Prev) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign1xx = "iMAX W1";
   ObjectDelete(sign1xx);
   ObjectCreate(sign1xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign1xx, Sign ,10, "Wingdings", Col);
   ObjectSet(sign1xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign1xx, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign1xx, OBJPROP_YDISTANCE, 20 );
   
   iMAX_Curr=iCustom(NULL, PERIOD_D1, "iMAX",0,0);
   iMAX_Prev=iCustom(NULL, PERIOD_D1, "iMAX",1,0);
   if (iMAX_Curr==iMAX_Prev) { Sign=""; Col=DarkOrange; } //Sideway
   else 
      if (iMAX_Curr>iMAX_Prev) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign2xx = "iMAX D1";
   ObjectDelete(sign2xx);
   ObjectCreate(sign2xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign2xx, Sign ,10, "Wingdings", Col);
   ObjectSet(sign2xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign2xx, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign2xx, OBJPROP_YDISTANCE, 30 );
   
   iMAX_Curr=iCustom(NULL, PERIOD_H4, "iMAX",0,0);
   iMAX_Prev=iCustom(NULL, PERIOD_H4, "iMAX",1,0);
   if (iMAX_Curr==iMAX_Prev) { Sign=""; Col=DarkOrange; } //Sideway
   else 
      if (iMAX_Curr>iMAX_Prev) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign13xx = "iMAX H4";
   ObjectDelete(sign13xx);
   ObjectCreate(sign13xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign13xx, Sign ,10, "Wingdings", Col);
   ObjectSet(sign13xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign13xx, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign13xx, OBJPROP_YDISTANCE, 40 );
   
   iMAX_Curr=iCustom(NULL, PERIOD_H1, "iMAX",0,0);
   iMAX_Prev=iCustom(NULL, PERIOD_H1, "iMAX",1,0);
   if (iMAX_Curr==iMAX_Prev) { Sign=""; Col=DarkOrange; } //Sideway
   else 
      if (iMAX_Curr>iMAX_Prev) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign23xx = "iMAX H1";
   ObjectDelete(sign23xx);
   ObjectCreate(sign23xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign23xx, Sign ,10, "Wingdings", Col);
   ObjectSet(sign23xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign23xx, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign23xx, OBJPROP_YDISTANCE, 50 );

   iMAX_Curr=iCustom(NULL, PERIOD_M30, "iMAX",0,0);
   iMAX_Prev=iCustom(NULL, PERIOD_M30, "iMAX",1,0);
   if (iMAX_Curr==iMAX_Prev) { Sign=""; Col=DarkOrange; } //Sideway
   else 
      if (iMAX_Curr>iMAX_Prev) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign33xx = "iMAX M30";
   ObjectDelete(sign33xx);
   ObjectCreate(sign33xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign33xx, Sign ,10, "Wingdings", Col);
   ObjectSet(sign33xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign33xx, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign33xx, OBJPROP_YDISTANCE, 60 );

   iMAX_Curr=iCustom(NULL, PERIOD_M15, "iMAX",0,0);
   iMAX_Prev=iCustom(NULL, PERIOD_M15, "iMAX",1,0);
   if (iMAX_Curr==iMAX_Prev) { Sign=""; Col=DarkOrange; } //Sideway
   else 
      if (iMAX_Curr>iMAX_Prev) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign35xx = "iMAX M15";
   ObjectDelete(sign35xx);
   ObjectCreate(sign35xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign35xx, Sign ,10, "Wingdings", Col);
   ObjectSet(sign35xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign35xx, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign35xx, OBJPROP_YDISTANCE, 70 );
   
   iMAX_Curr=iCustom(NULL, PERIOD_M5, "iMAX",0,0);
   iMAX_Prev=iCustom(NULL, PERIOD_M5, "iMAX",1,0);
   if (iMAX_Curr==iMAX_Prev) { Sign=""; Col=DarkOrange; } //Sideway
   else 
      if (iMAX_Curr>iMAX_Prev) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign34xx = "iMAX M5";
   ObjectDelete(sign34xx);
   ObjectCreate(sign34xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign34xx, Sign ,10, "Wingdings", Col);
   ObjectSet(sign34xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign34xx, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign34xx, OBJPROP_YDISTANCE, 80 );
   
   iMAX_Curr=iCustom(NULL, PERIOD_M1, "iMAX",0,0);
   iMAX_Prev=iCustom(NULL, PERIOD_M1, "iMAX",1,0);
   if (iMAX_Curr==iMAX_Prev) { Sign=""; Col=DarkOrange; } //Sideway
   else 
      if (iMAX_Curr>iMAX_Prev) { Sign=""; Col=Lime; } //Trend Up
      else { Sign=""; Col=Red; } //Trend Down
   string sign343xx = "iMAX M1";
   ObjectDelete(sign343xx);
   ObjectCreate(sign343xx, OBJ_LABEL, 0, 0, 0 );
   ObjectSetText(sign343xx, Sign ,10, "Wingdings", Col);
   ObjectSet(sign343xx, OBJPROP_CORNER, Corner );
   ObjectSet(sign343xx, OBJPROP_XDISTANCE, 43 );
   ObjectSet(sign343xx, OBJPROP_YDISTANCE, 90 );


//----
   return(0);
  }
//+------------------------------------------------------------------+